package com.ruoyi.bst.order.domain.vo;

import java.math.BigDecimal;

import com.ruoyi.bst.areaSub.domain.AreaSubVO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class OrderInParkingVO {
    
    @ApiModelProperty("手机定位所在停车区")
    private AreaSubVO mobileAreaSub;

    @ApiModelProperty("设备定位所在停车区")
    private AreaSubVO deviceAreaSub;

    @ApiModelProperty("实际所在停车区")
    private AreaSubVO actualAreaSub;

    @ApiModelProperty("实际经度")
    private BigDecimal actualLon;

    @ApiModelProperty("实际纬度")
    private BigDecimal actualLat;

    @ApiModelProperty("是否在停车点")
    private Boolean inParking;

    @ApiModelProperty("手机定位是否在运营区")
    private Boolean mobileInArea;

    @ApiModelProperty("设备定位是否在运营区")
    private Boolean deviceInArea;

    @ApiModelProperty("是否在运营区")
    private Boolean inArea;

    @ApiModelProperty("手机所在禁停区")
    private AreaSubVO mobileNoParking;

    @ApiModelProperty("设备所在禁停区")
    private AreaSubVO deviceNoParking;
    
    @ApiModelProperty("是否在禁停区")
    private Boolean inNoParking;
    
}
